|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.CmsMultiDialog
org.opencms.workplace.commons.CmsUndoChanges
public class CmsUndoChanges
Provides methods for the undo changes on a resource dialog.
The following files use this class:
| Field Summary | |
|---|---|
static int |
ACTION_UNDOCHANGES
Value for the action: undo changes. |
static String |
DIALOG_TYPE
The dialog type. |
static String |
PARAM_RECURSIVE
Request parameter name for the recursive flag. |
| Fields inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
DELIMITER_RESOURCES, PARAM_RESOURCELIST |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_BASE, PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsUndoChanges(CmsJspActionElement jsp)
Public constructor with JSP action element. |
|
CmsUndoChanges(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
void |
actionUndoChanges()
Performs the undo changes action, will be called by the JSP page. |
String |
buildDialogOptions()
Returns the HTML for the undo changes options and detailed output for single resource operations. |
protected CmsResource |
getCurrentResource()
Returns the current CmsResource. |
protected String |
getFileName()
Returns the file name without path information of the current resource. |
protected String |
getLastModifiedDate()
Returns the last modified date of the current resource as localized String. |
protected String |
getLastModifiedUser()
Returns the user who made the last changes to the current resource. |
String |
getParamRecursive()
Returns the value of the recursive parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
protected boolean |
performDialogOperation()
Performs the undo changes operation on a resource. |
protected void |
setCurrentResource(CmsResource res)
Sets the current CmsResource. |
void |
setParamRecursive(String value)
Sets the value of the recursive parameter. |
| Methods inherited from class org.opencms.workplace.CmsMultiDialog |
|---|
addMultiOperationException, buildResourceList, checkMultiOperationException, checkResourcePermissions, getParamResourcelist, getResourceList, isMultiOperation, isOperationOnFolder, setDialogTitle, setParamResourcelist |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamBase, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamBase, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final int ACTION_UNDOCHANGES
public static final String DIALOG_TYPE
public static final String PARAM_RECURSIVE
| Constructor Detail |
|---|
public CmsUndoChanges(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsUndoChanges(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public void actionUndoChanges()
throws JspException
JspException - if problems including sub-elements occurpublic String buildDialogOptions()
public String getParamRecursive()
The recursive parameter on folders decides if all subresources of the folder should be unchanged, too.
public void setParamRecursive(String value)
value - the value to setprotected CmsResource getCurrentResource()
protected String getFileName()
protected String getLastModifiedDate()
protected String getLastModifiedUser()
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
protected boolean performDialogOperation()
throws CmsException
performDialogOperation in class CmsMultiDialogCmsException - if undo changes is not successfulprotected void setCurrentResource(CmsResource res)
res - the CmsResource
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||